com.tibbo.aggregate.common.expression.function

## Enum DefaultFunctions

- java.lang.Object
- - java.lang.Enum<DefaultFunctions>
  - - com.tibbo.aggregate.common.expression.function.DefaultFunctions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefaultFunctions>

      public enum DefaultFunctions
      extends java.lang.Enum<DefaultFunctions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABS`
    `ACOS`
    `ADD_COLUMNS`
    `ADD_COLUMNS_EX`
    `ADD_RECORDS`
    `ADJUST_RECORD_LIMITS`
    `AGGREGATE`
    `AND`
    `ASIN`
    `ATAN`
    `AVAILABLE`
    `AVG`
    `BLUE`
    `BOOLEAN`
    `BRIGHTER`
    `BYTE_AT`
    `BYTES`
    `CALL_FUNCTION`
    `CALL_FUNCTION_EX`
    `CASE`
    `CATCH`
    `CBRT`
    `CEIL`
    `CELL`
    `CHAR_AT`
    `CLEAR`
    `COLOR`
    `CONTAINS`
    `CONVERT`
    `COPY`
    `COPY_BYTES`
    `COS`
    `COSH`
    `DARKER`
    `DATA_BLOCK`
    `DATE`
    `DATE_ADD`
    `DATE_DIFF`
    `DAY`
    `DAY_OF_WEEK`
    `DAY_OF_YEAR`
    `DC`
    `DECODE`
    `DESCRIBE`
    `DESCRIPTION`
    `DISTINCT`
    `DOUBLE`
    `DR`
    `DT`
    `E`
    `ENCODE`
    `ENDS_WITH`
    `EQ`
    `EVALUATE`
    `EVENT_AVAILABLE`
    `EVENT_FORMAT`
    `EVENT_GROUP`
    `EXP`
    `EXPRESSION_EDITOR_OPTIONS`
    `FAIL`
    `FETCH_DATA_BLOCK`
    `FILTER`
    `FIRE_EVENT`
    `FIRE_EVENT_EX`
    `FLOAT`
    `FLOOR`
    `FORMAT`
    `FORMAT_DATE`
    `FORMAT_NUMBER`
    `FREQUENCY`
    `FULL_DESCRIPTION`
    `FUNCTION_AVAILABLE`
    `FUNCTION_GROUP`
    `FUNCTION_INPUT_FORMAT`
    `FUNCTION_OUTPUT_FORMAT`
    `GE`
    `GET_FORMAT`
    `GET_QUALITY`
    `GET_TIMESTAMP`
    `GET_VARIABLE`
    `GREEN`
    `GROUPS`
    `GT`
    `HAS_EVENT`
    `HAS_FIELD`
    `HAS_FUNCTION`
    `HAS_VARIABLE`
    `HOUR`
    `IF`
    `INDEX`
    `INTEGER`
    `INTERSECT`
    `IS_DIGIT`
    `IS_LETTER`
    `IS_LOWER_CASE`
    `IS_UPPER_CASE`
    `IS_WHITESPACE`
    `JOIN`
    `JSON`
    `LAST_INDEX`
    `LD`
    `LE`
    `LENGTH`
    `LINEAR_REGRESSION`
    `LOG`
    `LOG10`
    `LOGIN`
    `LONG`
    `LOWER`
    `LT`
    `MAX`
    `MEDIAN`
    `MILLISECOND`
    `MIN`
    `MINUTE`
    `MODE`
    `MONTH`
    `NE`
    `NOW`
    `OR`
    `PARSE_DATE`
    `PI`
    `POW`
    `PRINT`
    `PRINT_PERIOD`
    `PROCESS_BINDINGS`
    `RANDOM`
    `RECORDS`
    `RED`
    `REMOVE_COLUMNS`
    `REMOVE_RECORDS`
    `REPLACE`
    `REPLACE_SMART`
    `ROUND`
    `SECOND`
    `SELECT`
    `SET`
    `SET_MULTIPLE`
    `SET_NESTED_FIELD`
    `SET_QUALITY`
    `SET_TIMESTAMP`
    `SET_VARIABLE`
    `SET_VARIABLE_EX`
    `SET_VARIABLE_FIELD`
    `SET_VARIABLE_RECORD`
    `SET_VARIABLE_RECORD_EX`
    `SIGNUM`
    `SIN`
    `SINH`
    `SLEEP`
    `SMA`
    `SMM`
    `SORT`
    `SPLIT`
    `SQRT`
    `ST`
    `STANDARD_DEVIATION`
    `STANDARD_ERROR`
    `STARTS_WITH`
    `STRING`
    `SUBSTRING`
    `SUBTABLE`
    `SUM`
    `TABLE`
    `TABLE_FROM_CSV`
    `TABLE_FROM_JSON`
    `TABLE_QUALITY`
    `TABLE_TIMESTAMP`
    `TABLE_TO_JSON`
    `TAN`
    `TANH`
    `TIME`
    `TIMESTAMP`
    `TRACE`
    `TRIM`
    `UNION`
    `UPPER`
    `URL_DECODE`
    `URL_ENCODE`
    `USER`
    `VALIDATE`
    `VARIABLE_AVAILABLE`
    `VARIABLE_FORMAT`
    `VARIABLE_GROUP`
    `VARIABLE_READABLE`
    `VARIABLE_WRITABLE`
    `VARIANCE`
    `WRITE_LOG`
    `XPATH`
    `YEAR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Function` | `impl`
    `java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static void` | `registerDefaultFunctions(java.util.Map<java.lang.String,Function> defaultFunctions)`
    `java.lang.String` | `toString()`
    `static DefaultFunctions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultFunctions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABS

          public static final DefaultFunctions ABS

    - #### ACOS

          public static final DefaultFunctions ACOS

    - #### ASIN

          public static final DefaultFunctions ASIN

    - #### ATAN

          public static final DefaultFunctions ATAN

    - #### CBRT

          public static final DefaultFunctions CBRT

    - #### CEIL

          public static final DefaultFunctions CEIL

    - #### COS

          public static final DefaultFunctions COS

    - #### COSH

          public static final DefaultFunctions COSH

    - #### E

          public static final DefaultFunctions E

    - #### EXP

          public static final DefaultFunctions EXP

    - #### EQ

          public static final DefaultFunctions EQ

    - #### FLOOR

          public static final DefaultFunctions FLOOR

    - #### FORMAT_NUMBER

          public static final DefaultFunctions FORMAT_NUMBER

    - #### GE

          public static final DefaultFunctions GE

    - #### GT

          public static final DefaultFunctions GT

    - #### LE

          public static final DefaultFunctions LE

    - #### LOG

          public static final DefaultFunctions LOG

    - #### LOG10

          public static final DefaultFunctions LOG10

    - #### LT

          public static final DefaultFunctions LT

    - #### NE

          public static final DefaultFunctions NE

    - #### PI

          public static final DefaultFunctions PI

    - #### POW

          public static final DefaultFunctions POW

    - #### RANDOM

          public static final DefaultFunctions RANDOM

    - #### ROUND

          public static final DefaultFunctions ROUND

    - #### SIGNUM

          public static final DefaultFunctions SIGNUM

    - #### SIN

          public static final DefaultFunctions SIN

    - #### SINH

          public static final DefaultFunctions SINH

    - #### SQRT

          public static final DefaultFunctions SQRT

    - #### TAN

          public static final DefaultFunctions TAN

    - #### TANH

          public static final DefaultFunctions TANH

    - #### MIN

          public static final DefaultFunctions MIN

    - #### MAX

          public static final DefaultFunctions MAX

    - #### AVG

          public static final DefaultFunctions AVG

    - #### VARIANCE

          public static final DefaultFunctions VARIANCE

    - #### FREQUENCY

          public static final DefaultFunctions FREQUENCY

    - #### LINEAR_REGRESSION

          public static final DefaultFunctions LINEAR_REGRESSION

    - #### MEDIAN

          public static final DefaultFunctions MEDIAN

    - #### MODE

          public static final DefaultFunctions MODE

    - #### SMA

          public static final DefaultFunctions SMA

    - #### SMM

          public static final DefaultFunctions SMM

    - #### STANDARD_DEVIATION

          public static final DefaultFunctions STANDARD_DEVIATION

    - #### STANDARD_ERROR

          public static final DefaultFunctions STANDARD_ERROR

    - #### SUM

          public static final DefaultFunctions SUM

    - #### CONTAINS

          public static final DefaultFunctions CONTAINS

    - #### ENDS_WITH

          public static final DefaultFunctions ENDS_WITH

    - #### FORMAT

          public static final DefaultFunctions FORMAT

    - #### GROUPS

          public static final DefaultFunctions GROUPS

    - #### INDEX

          public static final DefaultFunctions INDEX

    - #### IS_DIGIT

          public static final DefaultFunctions IS_DIGIT

    - #### IS_LETTER

          public static final DefaultFunctions IS_LETTER

    - #### IS_LOWER_CASE

          public static final DefaultFunctions IS_LOWER_CASE

    - #### IS_UPPER_CASE

          public static final DefaultFunctions IS_UPPER_CASE

    - #### IS_WHITESPACE

          public static final DefaultFunctions IS_WHITESPACE

    - #### LAST_INDEX

          public static final DefaultFunctions LAST_INDEX

    - #### LENGTH

          public static final DefaultFunctions LENGTH

    - #### LOWER

          public static final DefaultFunctions LOWER

    - #### REPLACE

          public static final DefaultFunctions REPLACE

    - #### REPLACE_SMART

          public static final DefaultFunctions REPLACE_SMART

    - #### SPLIT

          public static final DefaultFunctions SPLIT

    - #### STARTS_WITH

          public static final DefaultFunctions STARTS_WITH

    - #### SUBSTRING

          public static final DefaultFunctions SUBSTRING

    - #### TRIM

          public static final DefaultFunctions TRIM

    - #### UPPER

          public static final DefaultFunctions UPPER

    - #### URL_DECODE

          public static final DefaultFunctions URL_DECODE

    - #### URL_ENCODE

          public static final DefaultFunctions URL_ENCODE

    - #### DATA_BLOCK

          public static final DefaultFunctions DATA_BLOCK

    - #### CHAR_AT

          public static final DefaultFunctions CHAR_AT

    - #### DATE

          public static final DefaultFunctions DATE

    - #### DATE_ADD

          public static final DefaultFunctions DATE_ADD

    - #### DATE_DIFF

          public static final DefaultFunctions DATE_DIFF

    - #### DAY

          public static final DefaultFunctions DAY

    - #### DAY_OF_WEEK

          public static final DefaultFunctions DAY_OF_WEEK

    - #### DAY_OF_YEAR

          public static final DefaultFunctions DAY_OF_YEAR

    - #### FORMAT_DATE

          public static final DefaultFunctions FORMAT_DATE

    - #### HOUR

          public static final DefaultFunctions HOUR

    - #### MILLISECOND

          public static final DefaultFunctions MILLISECOND

    - #### MINUTE

          public static final DefaultFunctions MINUTE

    - #### MONTH

          public static final DefaultFunctions MONTH

    - #### NOW

          public static final DefaultFunctions NOW

    - #### SECOND

          public static final DefaultFunctions SECOND

    - #### PARSE_DATE

          public static final DefaultFunctions PARSE_DATE

    - #### PRINT_PERIOD

          public static final DefaultFunctions PRINT_PERIOD

    - #### TIME

          public static final DefaultFunctions TIME

    - #### YEAR

          public static final DefaultFunctions YEAR

    - #### BLUE

          public static final DefaultFunctions BLUE

    - #### BRIGHTER

          public static final DefaultFunctions BRIGHTER

    - #### COLOR

          public static final DefaultFunctions COLOR

    - #### DARKER

          public static final DefaultFunctions DARKER

    - #### GREEN

          public static final DefaultFunctions GREEN

    - #### RED

          public static final DefaultFunctions RED

    - #### ADD_COLUMNS

          public static final DefaultFunctions ADD_COLUMNS

    - #### ADD_COLUMNS_EX

          public static final DefaultFunctions ADD_COLUMNS_EX

    - #### ADD_RECORDS

          public static final DefaultFunctions ADD_RECORDS

    - #### ADJUST_RECORD_LIMITS

          public static final DefaultFunctions ADJUST_RECORD_LIMITS

    - #### AGGREGATE

          public static final DefaultFunctions AGGREGATE

    - #### CELL

          public static final DefaultFunctions CELL

    - #### CLEAR

          public static final DefaultFunctions CLEAR

    - #### CONVERT

          public static final DefaultFunctions CONVERT

    - #### COPY

          public static final DefaultFunctions COPY

    - #### DECODE

          public static final DefaultFunctions DECODE

    - #### DESCRIBE

          public static final DefaultFunctions DESCRIBE

    - #### DESCRIPTION

          public static final DefaultFunctions DESCRIPTION

    - #### DISTINCT

          public static final DefaultFunctions DISTINCT

    - #### ENCODE

          public static final DefaultFunctions ENCODE

    - #### FILTER

          public static final DefaultFunctions FILTER

    - #### INTERSECT

          public static final DefaultFunctions INTERSECT

    - #### FETCH_DATA_BLOCK

          public static final DefaultFunctions FETCH_DATA_BLOCK

    - #### GET_FORMAT

          public static final DefaultFunctions GET_FORMAT

    - #### GET_QUALITY

          public static final DefaultFunctions GET_QUALITY

    - #### GET_TIMESTAMP

          public static final DefaultFunctions GET_TIMESTAMP

    - #### HAS_FIELD

          public static final DefaultFunctions HAS_FIELD

    - #### JOIN

          public static final DefaultFunctions JOIN

    - #### PRINT

          public static final DefaultFunctions PRINT

    - #### PROCESS_BINDINGS

          public static final DefaultFunctions PROCESS_BINDINGS

    - #### RECORDS

          public static final DefaultFunctions RECORDS

    - #### REMOVE_COLUMNS

          public static final DefaultFunctions REMOVE_COLUMNS

    - #### REMOVE_RECORDS

          public static final DefaultFunctions REMOVE_RECORDS

    - #### SELECT

          public static final DefaultFunctions SELECT

    - #### SET

          public static final DefaultFunctions SET

    - #### SET_MULTIPLE

          public static final DefaultFunctions SET_MULTIPLE

    - #### SET_NESTED_FIELD

          public static final DefaultFunctions SET_NESTED_FIELD

    - #### SET_QUALITY

          public static final DefaultFunctions SET_QUALITY

    - #### SET_TIMESTAMP

          public static final DefaultFunctions SET_TIMESTAMP

    - #### SORT

          public static final DefaultFunctions SORT

    - #### SUBTABLE

          public static final DefaultFunctions SUBTABLE

    - #### TABLE

          public static final DefaultFunctions TABLE

    - #### TABLE_FROM_CSV

          public static final DefaultFunctions TABLE_FROM_CSV

    - #### TABLE_FROM_JSON

          public static final DefaultFunctions TABLE_FROM_JSON

    - #### TABLE_TO_JSON

          public static final DefaultFunctions TABLE_TO_JSON

    - #### UNION

          public static final DefaultFunctions UNION

    - #### VALIDATE

          public static final DefaultFunctions VALIDATE

    - #### BYTE_AT

          public static final DefaultFunctions BYTE_AT

    - #### BYTES

          public static final DefaultFunctions BYTES

    - #### COPY_BYTES

          public static final DefaultFunctions COPY_BYTES

    - #### BOOLEAN

          public static final DefaultFunctions BOOLEAN

    - #### DOUBLE

          public static final DefaultFunctions DOUBLE

    - #### INTEGER

          public static final DefaultFunctions INTEGER

    - #### FLOAT

          public static final DefaultFunctions FLOAT

    - #### LONG

          public static final DefaultFunctions LONG

    - #### STRING

          public static final DefaultFunctions STRING

    - #### TIMESTAMP

          public static final DefaultFunctions TIMESTAMP

    - #### AVAILABLE

          public static final DefaultFunctions AVAILABLE

    - #### CALL_FUNCTION

          public static final DefaultFunctions CALL_FUNCTION

    - #### CALL_FUNCTION_EX

          public static final DefaultFunctions CALL_FUNCTION_EX

    - #### FULL_DESCRIPTION

          public static final DefaultFunctions FULL_DESCRIPTION

    - #### DC

          public static final DefaultFunctions DC

    - #### DR

          public static final DefaultFunctions DR

    - #### DT

          public static final DefaultFunctions DT

    - #### EVENT_AVAILABLE

          public static final DefaultFunctions EVENT_AVAILABLE

    - #### EVENT_FORMAT

          public static final DefaultFunctions EVENT_FORMAT

    - #### EVENT_GROUP

          public static final DefaultFunctions EVENT_GROUP

    - #### FIRE_EVENT

          public static final DefaultFunctions FIRE_EVENT

    - #### FIRE_EVENT_EX

          public static final DefaultFunctions FIRE_EVENT_EX

    - #### FUNCTION_AVAILABLE

          public static final DefaultFunctions FUNCTION_AVAILABLE

    - #### FUNCTION_GROUP

          public static final DefaultFunctions FUNCTION_GROUP

    - #### FUNCTION_INPUT_FORMAT

          public static final DefaultFunctions FUNCTION_INPUT_FORMAT

    - #### FUNCTION_OUTPUT_FORMAT

          public static final DefaultFunctions FUNCTION_OUTPUT_FORMAT

    - #### GET_VARIABLE

          public static final DefaultFunctions GET_VARIABLE

    - #### SET_VARIABLE

          public static final DefaultFunctions SET_VARIABLE

    - #### SET_VARIABLE_EX

          public static final DefaultFunctions SET_VARIABLE_EX

    - #### SET_VARIABLE_FIELD

          public static final DefaultFunctions SET_VARIABLE_FIELD

    - #### SET_VARIABLE_RECORD

          public static final DefaultFunctions SET_VARIABLE_RECORD

    - #### SET_VARIABLE_RECORD_EX

          public static final DefaultFunctions SET_VARIABLE_RECORD_EX

    - #### VARIABLE_AVAILABLE

          public static final DefaultFunctions VARIABLE_AVAILABLE

    - #### VARIABLE_FORMAT

          public static final DefaultFunctions VARIABLE_FORMAT

    - #### VARIABLE_GROUP

          public static final DefaultFunctions VARIABLE_GROUP

    - #### VARIABLE_READABLE

          public static final DefaultFunctions VARIABLE_READABLE

    - #### VARIABLE_WRITABLE

          public static final DefaultFunctions VARIABLE_WRITABLE

    - #### AND

          public static final DefaultFunctions AND

    - #### EVALUATE

          public static final DefaultFunctions EVALUATE

    - #### CASE

          public static final DefaultFunctions CASE

    - #### CATCH

          public static final DefaultFunctions CATCH

    - #### FAIL

          public static final DefaultFunctions FAIL

    - #### IF

          public static final DefaultFunctions IF

    - #### LD

          public static final DefaultFunctions LD

    - #### LOGIN

          public static final DefaultFunctions LOGIN

    - #### OR

          public static final DefaultFunctions OR

    - #### SLEEP

          public static final DefaultFunctions SLEEP

    - #### ST

          public static final DefaultFunctions ST

    - #### TRACE

          public static final DefaultFunctions TRACE

    - #### USER

          public static final DefaultFunctions USER

    - #### XPATH

          public static final DefaultFunctions XPATH

    - #### EXPRESSION_EDITOR_OPTIONS

          public static final DefaultFunctions EXPRESSION_EDITOR_OPTIONS

    - #### WRITE_LOG

          public static final DefaultFunctions WRITE_LOG

    - #### HAS_VARIABLE

          public static final DefaultFunctions HAS_VARIABLE

    - #### HAS_FUNCTION

          public static final DefaultFunctions HAS_FUNCTION

    - #### HAS_EVENT

          public static final DefaultFunctions HAS_EVENT

    - #### JSON

          public static final DefaultFunctions JSON

    - #### TABLE_QUALITY

          public static final DefaultFunctions TABLE_QUALITY

    - #### TABLE_TIMESTAMP

          public static final DefaultFunctions TABLE_TIMESTAMP

  - ### Field Detail

    - #### impl

          public final Function impl

    - #### name

          public final java.lang.String name

  - ### Method Detail

    - #### values

          public static DefaultFunctions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultFunctions c : DefaultFunctions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultFunctions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### registerDefaultFunctions

          public static void registerDefaultFunctions(java.util.Map<java.lang.String,Function> defaultFunctions)

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DefaultFunctions>`